Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.iiop
Class CodeSetDatabaseInitializer

    java.lang.Object
      |
      +--org.openorb.iiop.CodeSetDatabaseInitializer

All Implemented Interfaces:
  org.apache.avalon.framework.activity.Disposable, org.apache.avalon.framework.activity.Initializable, org.apache.avalon.framework.logger.LogEnabled

public class CodeSetDatabaseInitializer
extends java.lang.Object
implements org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.activity.Initializable, org.apache.avalon.framework.activity.Disposable

This class initializes the codeset database for the client and the server side. This class is also used to create the static CodeSetDatabase class. The origin of the OSF registry lies in the DCE environment: http://www.opengroup.org/dce/info/ A description of the OSF charset registry can be found here: http://www.opengroup.org/tech/rfc/rfc40.2.html The latest OSF charset registry database file can be found here: ftp://ftp.opengroup.org/pub/code_set_registry Introduction to i18n http://www.debian.org/doc/manuals/intro-i18n/index.html Another good page for charset/codeset information: http://oss.software.ibm.com/icu/charset/index.html The following codesets supported by Java are not covered by the OSF charset and codeset registry:

- Big5_HKSCS
- Big5_Solaris
- Cp737
- Cp775
- Cp858
- Cp860
- Cp865
- Cp933
- Cp942C
- Cp943C
- Cp949C
- Cp1046
- Cp1123
- Cp1124
- Cp1140
- Cp1141
- Cp1142
- Cp1143
- Cp1144
- Cp1145
- Cp1146
- Cp1147
- Cp1148
- Cp1149
- Cp1258
- GB18030
- GBK
- ISCII91
- ISO2022CN
- ISO2022CN_CNS
- ISO2022CN_GB
- ISO2022JP
- ISO2022KR
- ISO8859_13
- JISAutoDetect
- Johab
- KOI8_R
- MS874
- MS932
- MS936
- MS949
- MS950
- MacArabic
- MacCentralEurope
- MacCroatian
- MacCyrillic
- MacDingbat
- MacGreek
- MacHebrew
- MacIceland
- MacRoman
- MacRomania
- MacSymbol
- MacThai
- MacTurkish
- MacUkraine

Author:
  Michael Rumpf Date Author Changes 18/07/02 E. Putrycz Changed CodeSet names and lookups to uppercase

Constructor Summary
`CodeSetDatabaseInitializer()` Default constructor.

Method Summary
`void` | `dispose()` Delete any member fields.
`void` | `enableLogging(org.apache.avalon.framework.logger.Logger logger)` Provide this class with a logger.
`CodeSetComponentInfo` | `getClientCodeSets()` Returns the client codeset component info.
`org.apache.avalon.framework.logger.Logger` | `getLogger()` Returns the logger that has been passed to enableLogging.
`CodeSetComponentInfo` | `getServerCodeSets()` Returns the server codeset component info.
`void` | `initialize()` Initialize the codeset database.
`static void` | `main(java.lang.String[] args)` Creates the CodeSetDatabase class.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CodeSetDatabaseInitializer

    public CodeSetDatabaseInitializer()

  Default constructor.

Method Detail

### enableLogging

    public void enableLogging(org.apache.avalon.framework.logger.Logger logger)

  Provide this class with a logger.
  Specified by:
    `enableLogging` in interface `org.apache.avalon.framework.logger.LogEnabled`

### getLogger

    public org.apache.avalon.framework.logger.Logger getLogger()

  Returns the logger that has been passed to enableLogging.

### initialize

    public void initialize()

  Initialize the codeset database.
  Specified by:
    `initialize` in interface `org.apache.avalon.framework.activity.Initializable`

### dispose

    public void dispose()

  Delete any member fields.
  Specified by:
    `dispose` in interface `org.apache.avalon.framework.activity.Disposable`

### getClientCodeSets

    public CodeSetComponentInfo getClientCodeSets()

  Returns the client codeset component info.
  Returns:
    client codeset info.

### getServerCodeSets

    public CodeSetComponentInfo getServerCodeSets()

  Returns the server codeset component info.
  Returns:
    server codeset info.

### main

    public static void main(java.lang.String[] args)

  Creates the CodeSetDatabase class. Uses codeset database as argument, e.g. cs_registry_1_2h.txt. If the bulk mode is used, the old version of the CodeSetDatabase class is used to get the encoding names. In interactive mode the name is also taken from the old version, if one is present and the user can enter a new name or take over the old one. If there is no old version of CodeSetDatabase the name has to be entered by the user.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD